Module java.desktop
Package javax.swing.plaf.basic

## Class BasicOptionPaneUI.ButtonActionListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicOptionPaneUI.ButtonActionListener

- All Implemented Interfaces:
    `ActionListener`, `EventListener`
  Enclosing class:
    BasicOptionPaneUI

      public class BasicOptionPaneUI.ButtonActionListener
      extends Object
      implements ActionListener

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `buttonIndex` | The index of the button.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ButtonActionListener​(int buttonIndex)` | Constructs a new instance of `ButtonActionListener`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(ActionEvent e)` | Invoked when an action occurs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buttonIndex

          protected int buttonIndex

      The index of the button.

  - ### Constructor Detail

    - #### ButtonActionListener

          public ButtonActionListener​(int buttonIndex)

      Constructs a new instance of `ButtonActionListener`.
      Parameters:
        `buttonIndex` - an index of the button

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed​(ActionEvent e)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `ActionListener`
      Parameters:
        `e` - the event to be processed